/****************************************/
/* Library				*/
/****************************************/
#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <math.h>

#include "fasta.h"
#include "gamma.h"
#include "Domain_process.h"
#include "CentroidCluster.h"

/****************************************/
/* Constant				*/
/****************************************/
#define num_indices 1

/****************************************/
/* STRCUTURE DEFINITION SECTION		*/
/****************************************/
typedef struct
{
	float prob;
	float score;
	int pos;
	float dist1;
	float dist2;
}TRACKTYPE;

typedef struct
{
	float a;
	float b;
}GAMMATYPE;


/****************************************/
/* Global Variables			*/
/****************************************/
float ***d_profile,**d_insert_prob;
int DOMAIN_NUM,*d_len,*d_gap,**d_insert;
int GENE_NUM,INDEX_NUM;
GAMMATYPE **d_gam;

/****************************************/
/* Functions				*/
/****************************************/
void ReadProfile(char *);
float ***GetTestSignal(FASTATYPE *,char *);
float Vertabi(float **,int);



